Add an address
Add an address to the shopper's account
Authorization
oauth bolt.account.manageapi-key In: header
Scope: bolt.account.manage
In: header
Header Parameters
The publicly shareable identifier used to identify your Bolt merchant division.
A unique identifier for a shopper's device, generated by Bolt. The value is retrieved with Bolt.state.merchantClientId in your frontend context, per-shopper. This header is required for proper attribution of this operation to your analytics reports. Omitting this header may result in incorrect statistics.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
An address saved on an account, i.e. a physical address plus any additional account-specific metadata.
Response Body
application/json
application/json
curl -X POST "https://example.com/account/addresses" \ -H "X-Publishable-Key: string" \ -H "Content-Type: application/json" \ -d '{ "first_name": "Alice", "last_name": "Baker", "company": "ACME Corporation", "street_address1": "535 Mission St, Ste 1401", "street_address2": "c/o Shipping Department", "locality": "San Francisco", "postal_code": "94105", "region": "CA", "country_code": "US", "email": "alice@example.com", "phone": "+14155550199", "is_default": true }'{ "id": "D4g3h5tBuVYK9", "first_name": "Alice", "last_name": "Baker", "company": "ACME Corporation", "street_address1": "535 Mission St, Ste 1401", "street_address2": "c/o Shipping Department", "locality": "San Francisco", "postal_code": "94105", "region": "CA", "country_code": "US", "email": "alice@example.com", "phone": "+14155550199", "is_default": true}Retrieve account details GET
Retrieve a shopper's account details, such as addresses and payment information. The account's details are filtered to be relevant to your merchant account, and some fields may be missing for some accounts. See the schema for details.
Delete an existing address DELETE
Delete an existing address. Deleting an address does not invalidate or remove the address from transactions or shipments that are associated with it.